@font-face {
    src: url('font.ttf');
    font-family: Cairo;
}

body {
    font-family: 'Cairo' ,'Inter', sans-serif;
} 

body.loading::before {
    content: "";
    position: fixed;
    top: 50%;
    left: 50%;
    width: 22.4px;
    height: 22.4px;
    border-radius: 50%;
    background: #474bff;
    box-shadow: 0 0 0 0 rgba(71,75,255,0.5);
    animation: pulse-kefe91md 1.5s infinite linear;
    transform: translate(-50%, -50%);
    z-index: 9999;
}
body.loading::after {
    content: "";
    position: fixed;
    top: 50%;
    left: 50%;
    width: 22.4px;
    height: 22.4px;
    border-radius: 50%;
    box-shadow: 0 0 0 0 rgba(71,75,255,0.5);
    animation: pulse-kefe91md 1.5s infinite linear;
    animation-delay: -0.5s;
    transform: translate(-50%, -50%);
    z-index: 9998;
}
body.loading::marker {
    content: "";
    position: fixed;
    top: 50%;
    left: 50%;
    width: 22.4px;
    height: 22.4px;
    border-radius: 50%;
    box-shadow: 0 0 0 0 rgba(71,75,255,0.5);
    animation: pulse-kefe91md 1.5s infinite linear;
    animation-delay: -1s;
    transform: translate(-50%, -50%);
    z-index: 9997;
}
@keyframes pulse-kefe91md {
    100% {
        box-shadow: 0 0 0 44.8px #0000;
    }
}


.menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo svg {
  width: 30px;
  height: 24px;
}

.app-brand-text.demo {
  font-size: 1.25rem;
}

.authentication-wrapper .app-brand-text.demo {
  font-size: 1.5rem;
  text-transform: capitalize;
}
/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1.25rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 300px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}
/*
 
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1.25rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1.25rem;
}

.container-p-y{
  margin-top: -20px;
}

.table thead {
  text-align: center !important; 
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -10px !important;
}
.table thead th {
  background-color: #f5f3ff  !important;
  color: #514b5d  !important;
}
.table tbody tr:first-child td {
  padding-top: 0.7rem;
}
.table thead th {
  padding: 0.3rem !important;
  font-size: 0.85rem;
  vertical-align: middle !important;
  text-align: center !important;
}
.table tbody td {
  text-align: center;
  vertical-align: middle;
  font-size: 0.9rem;
  padding: 0.3rem;
}

